(************************************************************************
 * From Linear to Unrestricted and Back:
 * Type Safety and the Let-bang Construct
 *
 * Michalis A. Papakyriakou and Nikolaos S. Papaspyrou
 * School of Electrical and Computer Engineering,
 * National Technical University of Athens, Greece
 * E-mail: {mpapakyr,nickie}@softlab.ntua.gr
 *
 * This is known to work with Isabelle 2007 (November)
 * It most probably works with Isabelle 2008.
 * As it is, it does not work with Isabelle 2006 (due to the new syntax
 * for inductive types).
 ************************************************************************)

no_document use_thy "Infinite_Set";

use_thy "Environ";
use_thy "Syntax";
use_thy "Typing";
use_thy "Semantics";
use_thy "TypingLemmas";
use_thy "PreType";
use_thy "StoreTyping";
use_thy "MemTyping";
use_thy "Metatheory";
use_thy "Safety";
